<!-- 
<div class="searchBar-wrapper">
    <input type="text" placeholder="Link of the video..." [(ngModel)]="videoLink" value="{{ videoLink }}" />
    <button class="btn btn-primary" (click)="addVideo(videoLink)" [disabled]="!videoLink.startsWith('https://')" > Load </button>
</div>
-->

<div>
    <div class="searchBar-wrapper">
        <input [(ngModel)]="videoLink" value="{{ videoLink }}" type="text" placeholder="Link of the video..."/>
        
        <!-- (click) passes input value to add() and then clears the input -->
        <button class="btn btn-primary" (click)=" add(videoLink)"> Load </button>
    </div>
</div>